Page 5 of 5 FirstFirst ... 345
Results 41 to 43 of 43

Thread: I have problem on playing some video

  1. #41
    Join Date
    Dec 2006
    Beans
    6,931

    Re: I have problem on playing some video

    Now I see . As far as I am aware this is not possible, although I have been wrong before. You will have to compile a fresh local copy of FFmpeg for vlc or use a system copy (preferably from git). I will have to admit that I have neglected the vlc guide which is now on the Ubuntu wiki for some time so the version of FFmpeg there could probably do with a bump.
    You think that's air you're breathing now?

  2. #42
    Join Date
    Oct 2012
    Beans
    874

    Re: I have problem on playing some video

    Hi,

    I figured it may not be possible to share static ffmpeg libraries (that's why they are static I suppose) I have tried to compile a system copy of ffmpeg from git and configure it to be a shared library. But I was getting errors because of some lines in x264. x264 is up to date, I think it may be a problem in the ffmpeg nightly build (compile worked with ffmpeg 1.2 tarball) I will try again in a few days.

    I have a strong hunch that OP's file doesn't play because of ffmpeg rather than the player. I will try to compile vlc using the original ffmeg (rather than libav), I expect it will work too.

    Edited: While I succeeded in compiling ffmpeg1.2 tarball, typing "ffmpeg" in the terminal produced a long list of libraries and enabled modules, but also a line about "incompatible libraries", seems like it may be in conflict with some libav stuffs in the system though I don't know what harm it may do. Seems a bit tricky to use a compiled version of ffmpeg for the whole system.
    Last edited by monkeybrain2012; April 26th, 2013 at 12:08 AM.

  3. #43
    Join Date
    Oct 2012
    Beans
    874

    Re: I have problem on playing some video

    So I have compiled ffmpeg 1.2 in Raring (tarball downloaded from fffmpeg) and then compiled vlc against it. vlc plays the file perfectly, so the problem does appear to be with Ubuntu's ffmpeg (libav) packages. Now I should have compiled vlc 2.06 from tarball instead of git in order to have the same version as in Raring's repo. But I think that is probably irrelevant (I will do another compile of 2.06 in a few days)

Page 5 of 5 FirstFirst ... 345

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •